from django.shortcuts import render
from django.http import HttpResponse

from .models import Assignment, Course

# Create your views here.
def index(request):
    head_string = "<h1>Widget's Assignment Page</h1>"
    body_string = ""
    for assignment in Assignment.objects.all():
        body_string += '<p>Assignment Name: {}</br>'.format(assignment.name)
        body_string += 'Description: {}</br>'.format(assignment.description)
        body_string += 'Perfect Score: {}</br>'.format(assignment.perfect_score)
        body_string += 'Passing Score: {}</br>'.format(assignment.passing_score)
        body_string += 'Course/Section: {} {}-{}</br>'.format(assignment.course.code, assignment.course.title, assignment.course.section)
        body_string += "</p>"
    html_string = '<html><head>{}</head><body>{}</body></html>'.format(head_string, body_string)

    return HttpResponse(html_string)